part of 'reservation_cubit.dart';

class ReservationState {
  final List<String> reservedProductIds;

  const ReservationState({this.reservedProductIds = const []});

  ReservationState copyWith({List<String>? reservedProductIds}) {
    return ReservationState(
      reservedProductIds: reservedProductIds ?? this.reservedProductIds,
    );
  }
}